#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.0.3.5
visibility:           public
id:                   persistent-test-2.0.3.5-bDUjovaR9b30CVb3x5Fsb
key:                  persistent-test-2.0.3.5-bDUjovaR9b30CVb3x5Fsb
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  9a871b3dcc95896a1111dbfc04c75d55
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MigrationColumnLengthTest
    MigrationIdempotencyTest MigrationOnlyTest MigrationTest
    MpsCustomPrefixTest MpsNoPrefixTest PersistTestPetCollarType
    PersistTestPetType PersistUniqueTest PersistentTest
    PersistentTestModels PersistentTestModelsImports PrimaryTest
    RawSqlTest ReadWriteTest Recursive RenameTest SumTypeTest
    TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-8.10.4/site-local/persistent-test-2.0.3.5
library-dirs:         /usr/lib/ghc-8.10.4/site-local/persistent-test-2.0.3.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/persistent-test-2.0.3.5
hs-libraries:         HSpersistent-test-2.0.3.5-bDUjovaR9b30CVb3x5Fsb
depends:
    HUnit-1.6.2.0-6Qz5k8URKehKv59h9ZmD3M
    QuickCheck-2.14.2-HeK1alMxWlV4KygdTbnBwg
    aeson-1.5.6.0-CXL1oIyIKzV3Wzutw5KnI4 base-4.14.1.0
    blaze-html-0.9.1.2-Cf7xPXICv5eFpaEyE5SWM5 bytestring-0.10.12.0
    conduit-1.3.4.1-8bhNl5Pjtj89EzziiJdOR containers-0.6.2.1
    exceptions-0.10.4 hspec-2.7.8-DMRSFORjdyyBRpU94riorV
    hspec-expectations-0.8.2-4T2sv1DBBhWKyVScectlCn
    monad-control-1.0.2.3-8Muxt4cqG9CL7cBJL8QRb1
    monad-logger-0.3.36-KQliUXRCLtiJu42Y1pUjoc mtl-2.2.2
    path-pieces-0.2.1-8q2eB6sQVysEcd9HpZsL9B
    persistent-2.11.0.2-CeTJgrO0y7S59Ew7SwakQa
    persistent-template-2.9.1.0-5imYls5eFYWEvQL5QoNn9I
    quickcheck-instances-0.3.25.2-8cOMxT1pviB3iN6EaLQjXS
    random-1.2.0-F9Db881XSkeHNx13RpGdSQ
    resourcet-1.2.4.2-9FG1BmfCRDWFR5uwoA0Zef text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2
    transformers-base-0.4.5.2-CRea2QPVqY25g8ocPnBY2Z
    unliftio-0.2.14-6mHRTwqc3mxGqWwq8KcChb
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-I4USYXV3Fmg2LoeGz2Nrci

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

